# -*- coding: utf-8 -*-
"""PyCaretTKD.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1nmpB37IpxAh5wI8KogTwXAzmwlKwyI0b
"""

pip install pycaret

import pycaret
pycaret.__version__

import numpy as np
import pandas as pd

df = pd.read_csv('/content/DTS_TKD_CSV_F.csv')

df

df.drop(labels = [39],axis = 0, inplace = True)

df

from pycaret.classification import ClassificationExperiment
s = ClassificationExperiment()
s.setup(data = df, target = 'Performance',  session_id = 123)

best = s.compare_models()

print(best)

s.plot_model(best, plot = 'confusion_matrix')

s.plot_model(best, plot = 'auc')

s.evaluate_model(best)

s.predict_model(best)

s.save_model(best, 'my_first_pipeline')